Index: libraries/javalib/kaffe/applet/AppletViewer.java
===================================================================
RCS file: /home/cvspublic/kaffe/libraries/javalib/kaffe/applet/AppletViewer.java,v
retrieving revision 1.2
diff -p -u -r1.2 AppletViewer.java
--- AppletViewer.java	1998/09/11 14:31:29	1.2
+++ AppletViewer.java	1998/11/06 15:04:19
@@ -18,6 +18,7 @@ import java.awt.Frame;
 import java.awt.Dimension;
 import java.awt.Image;
 import java.awt.Label;
+import java.awt.Font;
 import java.awt.Insets;
 import java.awt.Panel;
 import java.awt.Menu;
@@ -59,6 +60,8 @@ public AppletViewer ( File html) {
 	setLayout( null);
 
 	setMenus();
+	Font stateFont = new Font("SansSerif", Font.BOLD, 12);
+	state.setFont(stateFont);
 	add( state);
 	addWindowListener(this);
 
@@ -69,6 +72,8 @@ public AppletViewer ( File html) {
 		FileReader fs = new FileReader( html);
 		StreamTokenizer st = new StreamTokenizer( fs);
 
+		st.ordinaryChar('/');
+		st.ordinaryChar('\'');
 		st.lowerCaseMode( true);
 
 		while ( (ttype = st.nextToken()) != st.TT_EOF ) {
@@ -98,7 +103,6 @@ public AppletViewer ( File html) {
 	catch ( Exception e) {
 		e.printStackTrace();
 		showStatus( "cannot start applet");
-		e.printStackTrace();
 	}
 
 	getFrameDim( dim);
@@ -133,6 +137,8 @@ void getFrameDim( Dimension appDim) {
 void parseApplet( StreamTokenizer st, Dimension dim) throws IOException {
 
 	while ( st.nextToken() != '>' ) {
+		if (st.sval == null)
+			continue;
 		if ( st.sval.equals( "codebase") ) {
 			st.lowerCaseMode( false);
 			st.nextToken();
@@ -152,12 +158,18 @@ void parseApplet( StreamTokenizer st, Di
 		else if ( st.sval.equals( "height") ) {
 			st.nextToken();
 			st.nextToken();
-			dim.height = (int)st.nval;
+			if (st.ttype == st.TT_NUMBER)
+			    dim.height = (int)st.nval;
+			else
+			    dim.height = Integer.parseInt(st.sval);
 		}
 		else if ( st.sval.equals( "width") ) {
 			st.nextToken();
 			st.nextToken();
-			dim.width = (int)st.nval;
+			if (st.ttype == st.TT_NUMBER)
+			    dim.width = (int)st.nval;
+			else
+			    dim.width = Integer.parseInt(st.sval);
 		}
 	}
 
@@ -168,6 +180,8 @@ void parseParam( StreamTokenizer st) thr
 	String val = null;
 
 	while ( st.nextToken() != '>' ) {
+		if (st.sval == null)
+			continue;
 		if ( st.sval.equals( "name") ) {
 			st.nextToken();
 			st.nextToken();
@@ -186,6 +200,7 @@ void parseParam( StreamTokenizer st) thr
 	}
 
 	if ( ( key != null) && ( val != null) ) {
+		key = key.toLowerCase();
 //System.out.println( "put: " + key + " " + val);
 		paramDict.put( key, val);
 	}
@@ -316,16 +331,20 @@ public void showStatus ( String str) {
 public void actionPerformed ( ActionEvent e ) {
 	String cmd = e.getActionCommand();
 	if ( "Quit".equals( cmd)) {
-		app.stop();
-		app.destroy();
+		if (app != null) {
+			app.stop();
+			app.destroy();
+		}
 		dispose();
 	}
 	else if ( "Stop".equals( cmd)) {
-		app.stop();
+		if (app != null)
+			app.stop();
 		showStatus( "applet stopped");
 	}
 	else if ( "Start".equals( cmd)) {
-		app.start();
+		if (app != null)
+			app.start();
 		showStatus( "applet started");
 	}
 }
@@ -349,8 +368,10 @@ public void windowOpened ( WindowEvent e
 }
 
 public void windowClosing(WindowEvent e) {
-	app.stop();
-	app.destroy();
+	if (app != null) {
+		app.stop();
+		app.destroy();
+	}
 	dispose();
 }
 
